# DestinationListHandler::TransportAddress Struct Reference

`#include <oqueue.h>`

List of all members.

## Public Member Functions

| TransportAddress (InetAddress na, tpport_t dtp, tpport_t ctp)
const InetAddress & | getNetworkAddress () const
tpport_t | getDataTransportPort () const
tpport_t | getControlTransportPort () const

## Public Attributes

InetAddress | networkAddress
tpport_t | dataTransportPort
tpport_t | controlTransportPort

## Constructor & Destructor Documentation

DestinationListHandler::TransportAddress::TransportAddress | ( | InetAddress | na,
|  | tpport_t | dtp,
|  | tpport_t | ctp
| ) |  | `[inline]`

## Member Function Documentation

tpport_t DestinationListHandler::TransportAddress::getControlTransportPort | ( | ) | const`[inline]`

tpport_t DestinationListHandler::TransportAddress::getDataTransportPort | ( | ) | const`[inline]`

const InetAddress& DestinationListHandler::TransportAddress::getNetworkAddress | ( | ) | const`[inline]`

## Member Data Documentation

tpport_t DestinationListHandler::TransportAddress::controlTransportPort

tpport_t DestinationListHandler::TransportAddress::dataTransportPort

InetAddress DestinationListHandler::TransportAddress::networkAddress

The documentation for this struct was generated from the following file:

- oqueue.h